import { I18nResources, SviInitEvent, InitApi } from ".";
export interface ResourceApi {
    registerResourceBundle(bundleName: string, resources: I18nResources): void;
}
export declare class SviInitApi implements InitApi {
    private globalI18nResources;
    private appReadyStates;
    private resourceReadyStates;
    private resourceServiceSubject;
    private resourceService$;
    private defaultTimeout;
    constructor(globalI18nResources: I18nResources);
    declareApp(appName: string, i18nResourceBundleName?: string): void;
    whenAppReady(appName: SviInitEvent | string, timeout?: number): Promise<void>;
    notifyAppReady(appName: SviInitEvent | string): void;
    registerResourceBundle(bundleName: string, resources: I18nResources): void;
    checkAllDeclaredAppsReady(): void;
    checkAllDeclaredResourcesReady(): void;
    setResourceApi(resourceService: ResourceApi): void;
    private isAppDeclared;
    private isResourceBundleDeclared;
    private notifyReady;
    private whenReady;
    private whenAllDeclaredReady;
    private initReadyState;
}
